<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
	'slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);
$wp_customize->add_setting(
	'slider_section_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'slider_section_show_content',
		array(
			'settings'      => 'slider_section_show_content',
			'section'       => 'slider_section',
			'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);
$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'slider_section_lbl',
		array(
			'settings'		=> 'slider_section_lbl',
			'section'		=> 'slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 580X560', 'Luzuk' ),
		)
	)
);

//backgroundManager($wp_customize, 'sliderbg', 'slider_section', $color='#F5EFD7', get_template_directory_uri().'/images/sliderbg.jpg', 'color');

lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Slider Section Color');

addColorPalatOption($wp_customize, 'slider_bxbgColor', 'slider_section', 'Slider BG Color', '#fff');

addColorPalatOption($wp_customize, 'slider_imgovlyclr', 'slider_section', 'Image Overlay Color', '#000');

addColorPalatOption($wp_customize, 'slider_subtitleclr', 'slider_section', 'Sub Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_titleColor', 'slider_section', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_textclr', 'slider_section', 'Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtontextColor', 'slider_section', 'Button Text Color', '#000');

addColorPalatOption($wp_customize, 'slider_ButtontexthoverColor', 'slider_section', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_Buttonibrd', 'slider_section', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'slider_Buttonbghv1', 'slider_section', 'Button BG Hover Color', '#DE0F00');

lzCustomLable($wp_customize, 'luzuk_sliderbutnclrs', 'slider_section', 'Slider Arrow Button Color');

addColorPalatOption($wp_customize, 'sli_arrwbtnclr', 'slider_section', 'Arrow Icon Color', '#fff');

addColorPalatOption($wp_customize, 'sli_arrwbgclr', 'slider_section', 'Arrow Icon BG Color', '#1A1818');
